<template>
    <div>
        <canvas id="wall" width="800" height="400"  tabindex="0" />
    </div>
</template>

<script>
    import {SGraphScene, SGraphView} from "@persagy-web/graph/";
    import {SWindowItem} from "../../../../guides/big/items/src/SWindowItem";


    export default {
        name: "wall",
        data(){
            return {
                view: null,
                // 图中靠上位置的黑色矩形轮廓
                outline1:[[{X:120,Y:-30},{X:120,Y:-50},{X:10,Y:-50},{X:10,Y:-30}]],
            }
        },
        mounted() {
            this.init();
        },
        methods:{
            init(){
                this.view = new SGraphView('wall');
                const scene = new SGraphScene();
                this.view.scene = scene;
                // 只模拟了轮廓数据
                const item = new SWindowItem(null,{OutLine:this.outline1});
                scene.addItem(item);
                this.view.fitSceneToView();
                this.view.scalable = false;
            }
        }
    }
</script>

<style scoped>

</style>
